#include <iostream>
#include <cmath>

using namespace std;

int main()
{
    long long a, b, c, br1, br2, br3, br4, br5, br6, a1, b1, c1, m;
    cin >> a >> b >> c;
    a1 = a;
    b1 = b;
    c1 = c;
    long long ca = 0;
    long long cb = 0;
    long long cc = 0;
    while (a >= 10)
    {
        a = a / 10;
        ca++;
    }
    ca++;
    a = a1;

    while (b >= 10)
    {
        b = b / 10;
        cb++;
    }
    cb++;
    b = b1;

    while (c >= 10)
    {
        c = c / 10;
        cc++;
    }
    cc++;
    c = c1;


    br1 = a * pow(10, (cb+cc)) + b * pow(10, cc ) + c;
    br2 = a * pow(10, (cb+cc)) + c * pow(10, cb) + b;
    br3 = b * pow(10, (ca+cc)) + a * pow(10, cc) + c;
    br4 = b * pow(10, (ca+cc)) + c * pow(10, ca) + a;
    br5 = c * pow(10, (ca+cb)) + a * pow(10, cb) + b;
    br6 = c * pow(10, (ca+cb)) + b * pow(10, ca) + a;

    m = br1;
    if (m < br2)
        m = br2;

    if (m < br3)
        m = br3;

    if (m < br4)
        m = br4;

    if (m < br5)
        m = br5;

    if (m < br6)
        m = br6;

    cout << m << endl;

    return 0;
}